Skip to main content
GET
/
webhook-groups
/
{webhook_group_id}
Get One Webhook Group
curl --request GET \
  --url https://api.swoogo.com/api/v1/webhook-groups/{webhook_group_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "Sample Webhook Group",
  "headers": [
    {
      "key": "Authentication",
      "value": "Bearer Token"
    },
    {
      "key": "Content-Type",
      "value": "application/json"
    }
  ],
  "notification_emails": [
    "notify@example.com",
    "test@example.com"
  ]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

webhook_group_id
integer
required

integer - required - The ID of the Webhook Group you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,headers,notification_emails,created_at,created_by,updated_at,updated_by"

Response

Get Webhook Group

name
string
required

The name of the webhook group. This value must be unique.

Example:

"Sample Webhook Group"

headers
object[]

A list of key-value pairs representing headers for the webhook group.

Example:
[
{
"key": "Authentication",
"value": "Bearer Token"
},
{
"key": "Content-Type",
"value": "application/json"
}
]
notification_emails
string[]

Notification email list for failure alerts.

A list of email addresses to be notified if any webhook within the group fails.

Example:
["notify@example.com", "test@example.com"]